Subject: Re: [bug#51122] [PATCH v2] maint: Factorize po xref translation.

From: Julien Lepiller <[email-masked]>
Date: Tue, 12 Oct 2021 00:06:57 +0200

Le Mon, 11 Oct 2021 19:17:28 +0200,
"pelzflorian (Florian Pelz)" <[email-masked]> a écrit :

> Thanks Julien!
> 
> On Mon, Oct 11, 2021 at 02:46:26PM +0200, Julien Lepiller wrote:
> > Thanks for the quick review! I've updated the commit message and
> > updated the copyright headers in guix/build/po.scm and
> > guix/self.scm.  
> 
> In guix/self.scm you only removed code.  I don’t think a copyright
> header is needed there.

Alright, I removed the copyright line on my side
 
> 
> > I had to make the texi files depend on make-go because otherwise, I
> > get messages like "guix/build/po.scm is newer than compiled
> > .../guix/build/po.go" and it takes forever to build that file, once
> > for each texi. For some reason, it's almost instantaneous when
> > building in make-go.  
> 
> make-core-go instead of make-go is enough in my testing, but something
> more fine-grained would save time.  Also POXREF is run twice for each
> guix.??.texi file.  Maybe I did something wrong, maybe it is your
> patch.  Not sure.  Testing takes long anyway.

It only runs it once here, but there are three files to translate:
guix.xx.texi, guix-cookbook.xx.texi and contributing.xx.texi.

It looks like depending on make-go or make-core-go means we rebuild the
texi files everytime we run "make", so that's not great :/. I'll see if
I can isolate guix/build/po.scm (any ideas?).

> Regards,
> Florian